Bug 1563079 - adjustment of csn_generator can fail so next generated csn can be equal to the most recent one received [rhel-7.5.z]
Summary: adjustment of csn_generator can fail so next generated csn can be equal to th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1559945
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 07:00 UTC by Oneata Mircea Teodor
Modified: 2018-05-18 14:18 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.3.7.5-21.el7_5
Doc Type: Bug Fix
Doc Text:
In a Directory Server replication topology, updates are managed by using Change Sequence Numbers (CSN) based on time stamps. New CSNs must be higher than the highest CSN present in the replica update vector (RUV). In case the server generates a new CSN in the same second as the most recent CSN, the sequence number is increased to ensure that it is higher. However, if the most recent CSN and the new CSN were identical, the sequence number was not increased. In this situation, the new CSN was, except the replica ID, identical to the most recent one. As a consequence, a new update in the directory appeared in certain situations older than the most recent update. With this update, Directory Server increases the CSN if the sequence number is lower or equal to the most recent one. As a result, new updates are no longer considered older than the most recent data.
Clone Of: 1559945
Environment:
Last Closed: 2018-05-14 16:09:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1380 None None None 2018-05-14 16:10:36 UTC

Description Oneata Mircea Teodor 2018-04-03 07:00:32 UTC
This bug has been copied from bug #1559945 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 16 errata-xmlrpc 2018-05-14 16:09:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1380


Note You need to log in before you can comment on or make changes to this bug.